---
apiVersion: image.openshift.io/v1
generation: 2
image:
  dockerImageMetadata:
    ContainerConfig: {}
    Created: null
    Id: ""
    apiVersion: image.openshift.io/1.0
    kind: DockerImage
  dockerImageMetadataVersion: "1.0"
  dockerImageReference: registry.redhat.io/ocp-tools-4/jenkins-rhel8@sha256:3bc55cb1bafdd281a784ec7950c8e95914079522f152f642e8172869e83b4585
  metadata:
    creationTimestamp: null
    name: sha256:3bc55cb1bafdd281a784ec7950c8e95914079522f152f642e8172869e83b4585
kind: ImageStreamTag
lookupPolicy:
  local: false
metadata:
  annotations:
    description: Provides a Jenkins 2.X server from registry.redhat.io. For more information
      about using this container image, including OpenShift considerations, see https://github.com/openshift/jenkins/blob/master/README.md.
      This tag will will redeploy the Jenkins DeploymentConfig on an upgrade in OCP
      versions if the Jenkins image reference has changed. OpenShift will periodically
      check to ensure that the latest digest for this image tag is imported. If an
      update occurs, any running Jenkins DeploymentConfig will redeploy.
    iconClass: icon-jenkins
    openshift.io/display-name: Jenkins 2.X
    openshift.io/provider-display-name: Red Hat, Inc.
    tags: jenkins
    version: 2.x
  creationTimestamp: "2025-10-27T11:40:50Z"
  labels:
    samples.operator.openshift.io/managed: "true"
  name: jenkins:scheduled-upgrade-redeploy
  namespace: openshift
  resourceVersion: "19567"
  uid: 7ddeaa75-2133-431c-bafb-ae620243d7b9
tag:
  annotations:
    description: Provides a Jenkins 2.X server from registry.redhat.io. For more information
      about using this container image, including OpenShift considerations, see https://github.com/openshift/jenkins/blob/master/README.md.
      This tag will will redeploy the Jenkins DeploymentConfig on an upgrade in OCP
      versions if the Jenkins image reference has changed. OpenShift will periodically
      check to ensure that the latest digest for this image tag is imported. If an
      update occurs, any running Jenkins DeploymentConfig will redeploy.
    iconClass: icon-jenkins
    openshift.io/display-name: Jenkins 2.X
    openshift.io/provider-display-name: Red Hat, Inc.
    tags: jenkins
    version: 2.x
  from:
    kind: DockerImage
    name: registry.redhat.io/ocp-tools-4/jenkins-rhel8:v4.13.0
  generation: 2
  importPolicy:
    importMode: Legacy
    scheduled: true
  name: scheduled-upgrade-redeploy
  referencePolicy:
    type: Local
